Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162069 - Legacy packages should be installed by default
Summary: Legacy packages should be installed by default
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-29 17:03 UTC by Mike Hearn
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-08 18:25:54 UTC


Attachments (Terms of Use)

Description Mike Hearn 2005-06-29 17:03:33 UTC
Summary says it all, really.

Rationale is as follows: legacy packages usually take up only a small amount of
resources (ie disk space), but if they are not present many programs that are
not distributed in the form of Fedora-specific RPMs like
games/autopackages/other 3rd party apps will fail to install or run with
mysterious error messages users don't know how to solve.

An explicit goal of the Fedora project is "Emphasize usability and a 'just
works' philosophy in selecting default configuration and designing features"
[1]. Installing the legacy packages by default increase the Just Works nature
and reduces the need to manually debug the system when using software that is
not packaged by Fedora (ie, most of it).

In short - low cost, high benefit.




[1] http://fedora.redhat.com/about/objectives.html

Comment 1 Chris Ricker 2005-06-29 17:18:09 UTC
I disagree. default is too bloated already without adding legacy cruft to carry
around

If apps need it, they can bother to pull it in via rpm dependencies. Don't force
it on everyone by default.

Comment 2 Ian Pilcher 2005-06-29 18:26:15 UTC
Re comment #1:  I believe that would be a legitimate criticism if Mike were
suggesting that they be added to the "Minimal" group.  He did not; he suggested
that they be added to the "Default" group, which is supposed to provide a high-
function installation for an average user.  (The type of user that downloads
the Acrobat Reader tarball, for example.)

And calling GCC 3.x "legacy cruft" is simply silly.

Comment 3 Rahul Sundaram 2005-06-30 09:29:35 UTC
"And calling GCC 3.x "legacy cruft" is simply silly."

GCC 3.2 is in compat-gcc-32 package.

Comment 4 Jeremy Katz 2005-07-08 18:25:54 UTC
Installing the compat stuff by default is the wrong solution to the problem. 
The right thing to do here is to work on the fact that third party software
isn't packaged and work to make it so that occurs instead of bloating everyone's
install.

Comment 5 Mike Hearn 2005-07-08 21:44:09 UTC
The fact that third party software isn't packaged for Fedora is an intractable
problem. Installing a few *megs* of compatibility package (that will usually not
be in memory) so 3rd parties are not constantly screwed over is a very tractable
problem. I suggest you focus on low hanging fruit instead of planning world
domination.


Note You need to log in before you can comment on or make changes to this bug.